Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.util
Class ResolverUtil<T>

    java.lang.Object
      org.pentaho.di.core.util.ResolverUtil<T>

Type Parameters:
  `T` -

    public class ResolverUtil<T>

extends Object

This class was copied from Stripes - http://stripes.mc4j.org/confluence/display/stripes/Home

Nested Class Summary
`static class` | `ResolverUtil.AnnotatedWith`
`static class` | `ResolverUtil.IsA`
`static class` | `ResolverUtil.NameEndsWith`
`static interface` | `ResolverUtil.Test`

Constructor Summary
`ResolverUtil()`

Method Summary
`void` | `find(ResolverUtil.Test[] test, String... packageNames)`
`void` | `find(ResolverUtil.Test test, String... packageNames)`
`void` | `findAnnotated(Class<? extends Annotation> annotation, String... packageNames)`
`void` | `findImplementations(Class<?> parent, String... packageNames)`
`void` | `findInPackage(String packageName, ResolverUtil.Test... tests)`
`void` | `findSuffix(String suffix, String... packageNames)`
`Set<Class<? extends T>>` | `getClasses()`
`ClassLoader` | `getClassLoader()`
`void` | `loadImplementationsInJar(String parent, URL jarfile, ResolverUtil.Test... tests)`
`void` | `setClassLoader(ClassLoader classloader)`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolverUtil

    public ResolverUtil()

Method Detail

### size

    public int size()

### getClasses

    public Set<Class<? extends T>> getClasses()

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader classloader)

### findImplementations

    public void findImplementations(Class<?> parent,
                                    String... packageNames)

### findSuffix

    public void findSuffix(String suffix,
                           String... packageNames)

### findAnnotated

    public void findAnnotated(Class<? extends Annotation> annotation,
                              String... packageNames)

### find

    public void find(ResolverUtil.Test[] test,
                     String... packageNames)

### find

    public void find(ResolverUtil.Test test,
                     String... packageNames)

### findInPackage

    public void findInPackage(String packageName,
                              ResolverUtil.Test... tests)

### loadImplementationsInJar

    public void loadImplementationsInJar(String parent,
                                         URL jarfile,
                                         ResolverUtil.Test... tests)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD